### Enumeration

# EDataServerUI CredentialsPrompterPromptFlags

since: 3.16

#### Declaration

    flags EDataServerUI.CredentialsPrompterPromptFlags

#### Description [src]

An `ECredentialsPrompter` prompt flags, influencing behaviour of the e_credentials_prompter_prompt().

Available since: 3.16

#### Members

`E_CREDENTIALS_PROMPTER_PROMPT_FLAG_NONE`

  No flag is set.

  - Value: `0`
  - Available since: 3.16
`E_CREDENTIALS_PROMPTER_PROMPT_FLAG_ALLOW_SOURCE_SAVE`

  If set, any source changes during the credentials prompts, like the “remember-password” or user name changes, will be automatically stored in the source (written on the disk).

  - Value: `1`
  - Available since: 3.16
`E_CREDENTIALS_PROMPTER_PROMPT_FLAG_ALLOW_STORED_CREDENTIALS`

  If set, the stored credentials will be returned first. If there are no credentials saved, then the user will be asked. Any credentials reprompt should not have set this flag.

  - Value: `2`
  - Available since: 3.16